/* Container */
.filter-dropdown {
  width: 100%;
  max-width: 800px;
  margin-left: auto;
  margin-right: auto;
  box-sizing: border-box;
  position: relative;
  z-index: 20;
  flex-shrink: 0;
}

/* Toggle-Button */
.dropdown-toggle {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  width: 100%;
  padding: 0.9654rem;
  font-size: 1rem;
  line-height: 1.1rem;
  background-color: var(--color-14);
  color: var(--color-15);
  border-width: 1px 1px 1px 1px;
  border-style: solid;
  border-color: var(--color-15);
  cursor: pointer;
  letter-spacing: 0.2rem;
  text-align: center;
  margin-bottom: 0;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  transition: box-shadow 0.2s ease;
}

/* Schatten bei geöffnetem Zustand */
.dropdown-toggle.open, #roles-toggle.open {
  box-shadow: 2px 4px 3px rgba(0,0,0,0.2);
  border-left: 1px solid var(--color-15);
 border-top: 1px solid var(--color-15);
border-right: 0px solid var(--color-13);
border-bottom: 0px solid var(--color-13);
  backdrop-filter: blur(2px);
  -webkit-backdrop-filter: blur(2px);
 background-color: var(--color-14)!important;
 color: var(--color-15);
}

/* Dreieck ganz links */
#roles-icon {
  position: absolute;
  left: 1rem;
  font-size: 1rem;
  font-weight: normal;
  color: var(--color-14);
	align-self: flex-end; 
}

/* Label in der Mitte */
.dropdown-toggle span.dropdown-label {
  margin: 0 auto;
}

/* Dropdown-Liste */
.dropdown-list {
  position: absolute;
  left: 0;
  width: calc(100% - 2px);
  background-color: var(--color-14);
  z-index: 99999;
  padding: 0;
  overflow-y: auto;
  box-shadow: 2px 4px 3px rgba(0,0,0,0.2);
  border-left: 1px solid var(--color-15);
  border-top: 0px solid var(--color-15);
  border-right: 1px solid var(--color-13);
  border-bottom: 0px solid var(--color-13);
  backdrop-filter: blur(2px);
  -webkit-backdrop-filter: blur(2px);
}

/* Checkbox-Wrapper (Label) */
.checkbox-label {
  display: block;
  width: 100%;
  box-sizing: border-box;
  cursor: pointer;
  font-size: 1rem;
  color: var(--color-11);
  letter-spacing: 0.0625rem;
  transition: background-color 0.3s ease;
}

/* Checkbox-Wrapper (Label) */
#email-search{
 margin:5px;
max-width:65%;
}

/* Inneres <span> */
.checkbox-label span {
  display: inline-block;
  width: 100%;
  box-sizing: border-box;
  padding: 0.7rem 0.7rem;
  transition: background-color 0.3s ease;
  color: var(--color-11);
}

/* Hover */
.checkbox-label:hover span {
  background-color: var(--color-11);
  color: var(--color-13);
}

/* Ausgewählt */
.checkbox-label input[type="checkbox"]:checked + span {
  background-color: var(--color-18);
  color: var(--color-14);
}

/* Abschnittstitel */
.dropdown-section-title {
  font-weight: bold;
  padding: 0.7rem;
  color: var(--color-11);
  background-color: var(--color-14);
  border-top: 0px solid var(--color-12);
  border-bottom: 1px solid var(--color-12);
  text-transform: uppercase;
  font-size: 1rem;
  letter-spacing: 0.0625rem;
}

/* Rollen-Checkboxen */
.role-label span {
  display: inline-block;
  width: 100%;
  box-sizing: border-box;
  padding: 0.7rem 0.7rem;
  transition: background-color 0.3s ease;
  color: var(--color-11);
}

.role-label input[type="checkbox"]:checked + span {
  background-color: var(--color-18);
  color: white;
  width: 99.9%;
}

.role-label:hover span {
  background-color: var(--color-11);
  color: var(--color-13);
 width: 99.9%;

}

/* Ergebniszähler (optional) */
.roles-count {
  position: absolute;
  top: 41%;
  right: 1rem;
  transform: translateY(-50%);
  color: white;
  font-size: 1rem;
  font-weight: normal;
  background: none;
  padding: 0;
  margin: 0;
  border: none;
  border-radius: 0;
  line-height: 1;
  text-align: right;
  pointer-events: none;
  display: none;
}

/* Map-Link Abstand */
.maplink {
  margin-bottom: 0.5rem !important;
}

#roles-list {
  margin-bottom: 10rem; /* Platz für Buttons */
}

.dropdown-close {
  width: 100%;
  height: 3.1rem;
  border: none;
  background-color: var(--color-11);
  color: var(--color-14);
  font-size: 1rem;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  cursor: pointer;
  transition: background-color 0.3s ease;
  border: 1px solid var(--color-11);
   box-shadow: 2px 4px 3px rgba(0,0,0,0.2)!important;
}